This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 475027

Summary: preupgrade will not work with static ips
Product: [Fedora] Fedora Reporter: Ray Todd Stevens <raytodd>
Component: preupgradeAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: astrand, bloch, misek, rankincj, wwoods
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 10:03:17 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Ray Todd Stevens 2008-12-06 15:08:58 EST
I can't find a way to enter static ips into the preupgrade system after the reboot.   I assume that this is not exactly a preupgrade problem, but a problem in another component.   But I am not sure which one.   So hopefully someone with the preupgrade team can forward to to the right group.

Basically you do all the things to do a preupgrade, and then click reboot.   When the system comes back up it apparently tries to do a connection via dhcp.   Statics are on systems that don't do dhcp, and so this will not work.   We need a way to enter the ip address, or it needs to use the existing structure.
Comment 1 Vaclav "sHINOBI" Misek 2008-12-14 06:27:44 EST

*** This bug has been marked as a duplicate of bug 472933 ***
Comment 2 Will Woods 2008-12-15 13:33:28 EST
Why do you need the network configured at all during the upgrade? Did you get the "/boot too small" message?
Comment 3 Ray Todd Stevens 2008-12-15 15:14:23 EST
This has been closed as duplicate so I will move this to the open "bug" and answer this.
Comment 4 Will Woods 2008-12-15 15:32:04 EST
Anaconda is *supposed* to prompt you to configure the network in the case that your /boot is too small to save install.img. My testing confirms your assertion that it first tries DHCP without prompting; however my machine is on a DHCP network and so the install proceeds without trouble.

Re-opening this bug. It's is probably a duplicate of an anaconda bug, but we'll need to find a workaround first.
Comment 5 Will Woods 2008-12-15 15:35:07 EST
Okay, confirmed, your /boot is too small for install.img, and that's why your upgrade wants network access.
Comment 6 Ray Todd Stevens 2008-12-15 16:06:08 EST
The 100 meg is the default that came from fedora during previous installs, so this probably will be the norm not the exception.

I find that even if I am on machine that uses a boot partition that is large enough for all of the img files it still wants to have a network address and fails without it.  Once I hook it up so that it can do dhcp then everything proceeds just fine, and what appears to be happening is that it is asking for any updates.   One additional clue that might or might not relate, the two machines I had with large boot partitions I ran preupgrade on well before triggering the actual upgrade, like about 3 days.   That might have something to do with its insisting on checking for updates or not.

Now this could be related to netinst  bug Bug 473667.   But the presentation certainly is different.
Comment 7 Will Woods 2008-12-15 16:51:49 EST
Asked the anaconda guys; F10 anaconda stage1 defaults to DHCP if you use a kickstart (which preupgrade does) and you fail to specify network options.

You can work around by either removing the 'ks=XX' param or adding a "network --bootproto=static ..." command to /boot/upgrade/ks.cfg. Check http://fedoraproject.org/wiki/Anaconda/Kickstart for details on the "network" command.

/boot has been 200MB (or larger) by default since Fedora 8. All the available info suggests that most Fedora users have plenty of room in /boot. This is not the common case.

If your /boot is 200MB and you still don't have enough room for install.img, try removing some old kernels before rebooting.

Other than fetching install.img, there's no known reason that a preupgrade-configured upgrade should need the network. It doesn't attempt to fetch updates. If you are seeing that behavior I'd like to see the boot commandline and the anaconda.log, because that's really strange.
Comment 8 Ray Todd Stevens 2008-12-15 19:22:26 EST
Well if I catch it doing that again I will do that.

I do know that at the time I was curious to see what it was doing, and it was busy contacting mirrors and apparently checking to see it it had the latest repo files.   But that was pulled off of a wireshark trace not a log.

Out of curiosity is the anaconda.log file saves some where once the install is complete.   As long as it has a dhcp connection available, which is annoying but doable, the install completes.
Comment 9 Ray Todd Stevens 2009-01-02 10:04:20 EST
Have not been able to grab the files, but I have had this do this on two other 200m plus /boot systems.  There seems to be a common denominator.   It seems to be systems that I ran this on them several days earlier, aborted the actual install and then waited around to a time when I had more time to run the update.  Interestingly enough it was also on a machine that was done immediately, but the clock was fixed in the mean time so that it thought that several days had occured since the preupgrade was run.

Is it possible that some of the repo files have a time limit on them or something?
Comment 10 Adam Huffman 2009-03-05 11:14:48 EST
Saw this bug when looking into something else, and I just wanted to comment that for me the case of /boot being too small for install.img has been the norm, with just a couple of exceptions.  For systems originally installed several releases ago (and upgraded since) there's been no reason to change the size of /boot.
Comment 11 Ray Todd Stevens 2009-03-26 15:41:39 EDT
Still having the issue that preupgrade really doesn't work well at all with servers that use static ips.  (FC11 Alpha)
Comment 12 Ray Todd Stevens 2009-04-02 14:02:26 EDT
Still a problem with fc11 beta.
Comment 13 Bug Zapper 2009-06-09 06:09:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Chris Rankin 2009-06-28 16:01:21 EDT
*** Bug 508550 has been marked as a duplicate of this bug. ***
Comment 15 Ray Todd Stevens 2010-01-10 18:28:39 EST
This seems to have gotten a little better, but frankly it still needs a lot of manual intervention to get the upgrade to occur.   But you can now do a preupgrade upgrade if you sit at the station for an hour or two.
Comment 16 Fedora Admin XMLRPC Client 2010-04-16 10:35:15 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Ray Todd Stevens 2010-10-26 16:59:04 EDT
Still had to be on site to do a preupgrade upgrade.   But it proceeded without a real hitch with a static ip.   I just had to enter the right data.
Comment 18 Bug Zapper 2010-11-04 07:38:13 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Ray Todd Stevens 2010-11-04 07:47:34 EDT
Might be good for someone to look at this and see if it is good enough.   Then either close it, or define how it will be fixed and assign it as appropriate.
Comment 20 Bug Zapper 2011-06-02 14:21:53 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Bug Zapper 2011-06-27 10:03:17 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.